﻿Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Windows.Forms
Imports Syncfusion.Windows.Forms.Tools
Imports Syncfusion.Windows.Forms.Grid
Imports Syncfusion.Windows.Forms

Namespace MultiColumnAlign
	Partial Public Class Form1
		Inherits MetroForm
		Public Sub New()
			InitializeComponent()
		End Sub

		Private Sub Form1_Load(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Load
			'Create dataTable
			Dim dt As New DataTable("Table1")
			dt.Columns.Add("Column01")
			dt.Columns.Add("Column02")
			dt.Columns.Add("Column03")
			dt.Columns.Add("Column04")
			' Create a Data Set
			Dim ds As New DataSet()
			ds.Tables.Add(dt)
			dt.Rows.Add(New String() { "Alex", "Zen Perterson", "Doctor", "Italy" })
			dt.Rows.Add(New String() { "Bob", "Harry", "Staff", "London" })
			dt.Rows.Add(New String() { "Alice", "Peter", "Senior Developer ", "US" })
			dt.Rows.Add(New String() { "Adlensha Mick", "Fdo", "Staff", "Italy" })
			dt.Rows.Add(New String() { "Brick", "John", "Nurse", "North America" })
			dt.Rows.Add(New String() { "Collen", "Geo", "Developer", "India" })
			Dim view As New DataView(dt)

			Me.multiColumnComboBox1.DataSource = dt
			Me.multiColumnComboBox1.DisplayMember = "Column01"

			TryCast(Me.multiColumnComboBox1.ListControl, GridListBox).HeaderTextColor = Color.Red
			AddHandler TryCast(multiColumnComboBox1.ListControl, GridListBox).Grid.Model.QueryCellInfo, AddressOf Model_QueryCellInfo
		End Sub

        Private Sub Model_QueryCellInfo(ByVal sender As Object, ByVal e As GridQueryCellInfoEventArgs)
            'To Align only the first column.
            'If e.RowIndex = 0 And e.ColIndex = 1 Then
            'To Align the columnHeader Of MultiColumnCombobox
            If e.RowIndex = 0 Then
                e.Style.HorizontalAlignment = GridHorizontalAlignment.Right
                e.Style.TextColor = Color.Red
            End If
        End Sub


	End Class
End Namespace
